Create
Create a new config instance.
Authorizations
The API key to use for authentication.
Headers
The API version the client was built against.
"2026-11-04.everglades"
Query Parameters
Fields to expand on the config instance resource.
content, config_schema, config_type, created_by Body
The ID of the config schema which this config instance must adhere to.
"cfg_sch_123"
The slot of the config schema this instance is bound to. Optional when the schema has exactly one slot. Must match the key of one of the slots declared by the config schema.
"controller_2"
Response
Successfully created the config instance.
The object type, which is always config_instance.
config_instance "config_instance"
ID of the config instance.
"cfg_inst_123"
The name of the config type.
"Motion Control"
The absolute file system path where this config instance is written.
"/srv/miru/configs/v1/motion-control.json"
The key of the config schema slot this instance is bound to. Must match the key of one of the slots declared by this instance's config schema.
"controller_2"
The timestamp of when the config instance was created.
"2021-01-01T00:00:00Z"
ID of the config schema which the config instance must adhere to.
"cfg_sch_123"
ID of the config type which the config instance (and its schema) is a part of.
"cfg_type_123"
ID of the principal who created the config instance.
"usr_123"
The principal who created the config instance. Expand using expand=created_by in the query string.
Expand the config schema using expand=config_schema in the query string.
Expand the config type using expand=config_type in the query string.
The configuration values associated with the config instance. Expand the content using expand=content in the query string.

